/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../styles/plateg-variables.less';

.search-bar {
  position: relative;

  &-container {
    display: flex;
    align-items: center;
    transition: border 0.3s ease;
  }

  &.active &-container {
    padding-top: 5px;
    border-radius: 4px 4px 0 0;
  }

  &.active {
    border-bottom: 2px solid blue;
  }

  &-btn.ant-btn {
    padding: 2rem 3.2rem;
    height: 100%;
    display: inline-flex;
    align-items: center;
    font-weight: 500;
    border: 1px solid transparent;
    outline-color: transparent;
    border-color: transparent;
    font-size: 1.6rem;

    .ant-btn-icon {
      svg {
        width: 1.6rem;
      }
    }

    &:hover {
      border: 1px solid @platfrom-blue1;
      color: @platfrom-blue1 !important;
      border-color: @platfrom-blue1 !important;
      transition: none;
      outline-color: @platfrom-blue1 !important;
      background-color: inherit !important;
    }
  }

  &-field {
    display: flex;
    align-items: center;
    margin-top: 1rem;
    flex-grow: 1;
    position: relative;
  }

  &-input {
    border: none;
    border-color: none !important;
    box-shadow: none !important;
    cursor: text;
    flex-grow: 1;
    margin-right: 8px;

    &:hover {
      border: none !important;
    }
  }

  &-searchBtn {
    background-color: @platfrom-blue1;
    color: @platform-blue13;
    border: none;
    padding: 7px 12px;
    line-height: 18.2px;
    margin-right: 24px;
  }

  &-back.ant-btn-text {
    margin-right: 8px;
    white-space: nowrap;

    & span {
      font-size: 14px;
      text-decoration: underline;
    }
  }

  &-suggestions {
    position: absolute;
    top: 145%;
    width: 150%;
    background: white;
    z-index: 1000;
    border: 1px solid #0032d9;
    list-style-type: none;
  }

  &-item {
    line-height: 24px;
    font-size: 1.6rem;
    padding: 12px 16px;
    cursor: pointer;

    &:hover,
    &.highlighted {
      color: black;
      background-color: #e5eafb;
    }
  }

  .highlighted-text {
    font-weight: bold;
  }

  .highlight-bold {
    font-weight: 600;
  }
}
